﻿using UnityEngine;
using System.Collections;

public class Bullet : MonoBehaviour {
	public int bulletDamage;

	// Use this for initialization
	void Start () {
		bulletDamage = Random.Range(10,25);
		Destroy(gameObject, 4);
	}
	
	void OnCollisionEnter2D (Collision2D col) 
	{
		// If it hits an enemy...
		if(col.gameObject.tag == "enemy")
		{
			// ... find the Enemy script and call the Hurt function.
			col.gameObject.GetComponent<Enemy>().Hurt(bulletDamage);
			
			// Call the explosion instantiation.
//			OnExplode();
			
			// Destroy the bullet.
			Destroy(gameObject);
		}
		else if(col.gameObject.tag == "hero"){
			col.gameObject.GetComponent<Hero>().TakeDamage(bulletDamage);
			Destroy(gameObject);
		
		}

	}
}
